USN-4336-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4336-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4336-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4336-1
Related
Published
2020-04-22T11:40:31.150411Z
Modified
2020-04-22T11:40:31.150411Z
Summary
binutils vulnerabilities
Details

It was discovered that GNU binutils contained a large number of security issues. If a user or automated system were tricked into processing a specially-crafted file, a remote attacker could cause GNU binutils to crash, resulting in a denial of service, or possibly execute arbitrary code.

References

Affected packages

Ubuntu:18.04:LTS / binutils

Package

Name
binutils

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.30-21ubuntu1~18.04.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "binutils-i686-kfreebsd-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-riscv64-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-i686-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-common": "2.30-21ubuntu1~18.04.3",
            "binutils-mipsisa32r6-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-powerpc64-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-powerpc64le-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils": "2.30-21ubuntu1~18.04.3",
            "binutils-mipsel-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-i686-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-mips-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-hppa64-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-for-build": "2.30-21ubuntu1~18.04.3",
            "binutils-source": "2.30-21ubuntu1~18.04.3",
            "binutils-sparc64-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-mips64-linux-gnuabin32": "2.30-21ubuntu1~18.04.3",
            "binutils-x86-64-kfreebsd-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-multiarch": "2.30-21ubuntu1~18.04.3",
            "binutils-for-host": "2.30-21ubuntu1~18.04.3",
            "binutils-m68k-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-mipsisa64r6el-linux-gnuabin32": "2.30-21ubuntu1~18.04.3",
            "binutils-dev": "2.30-21ubuntu1~18.04.3",
            "binutils-powerpc-linux-gnuspe": "2.30-21ubuntu1~18.04.3",
            "binutils-doc": "2.30-21ubuntu1~18.04.3",
            "binutils-alpha-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-mipsisa64r6-linux-gnuabin32": "2.30-21ubuntu1~18.04.3",
            "binutils-arm-linux-gnueabi": "2.30-21ubuntu1~18.04.3",
            "binutils-powerpc-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-sh4-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "libbinutils": "2.30-21ubuntu1~18.04.3",
            "binutils-s390x-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-mipsisa64r6-linux-gnuabi64": "2.30-21ubuntu1~18.04.3",
            "binutils-x86-64-linux-gnux32": "2.30-21ubuntu1~18.04.3",
            "binutils-mipsisa32r6el-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-mipsisa64r6el-linux-gnuabi64": "2.30-21ubuntu1~18.04.3",
            "binutils-hppa-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-arm-linux-gnueabihf": "2.30-21ubuntu1~18.04.3",
            "binutils-aarch64-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-x86-64-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-ia64-linux-gnu": "2.30-21ubuntu1~18.04.3",
            "binutils-mips64el-linux-gnuabi64": "2.30-21ubuntu1~18.04.3",
            "binutils-multiarch-dev": "2.30-21ubuntu1~18.04.3",
            "binutils-mips64el-linux-gnuabin32": "2.30-21ubuntu1~18.04.3",
            "binutils-mips64-linux-gnuabi64": "2.30-21ubuntu1~18.04.3"
        }
    ]
}